Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.knowgate.hipergate
Class CategoryLabel

    java.lang.Object
      com.knowgate.dataobjs.DBPersist
          com.knowgate.hipergate.CategoryLabel

All Implemented Interfaces:
  java.io.Serializable, java.util.Map

    public class CategoryLabel

extends DBPersist

Category Translated Labels

See Also:
  Serialized Form

Nested Class Summary

Nested classes/interfaces inherited from interface java.util.Map
`java.util.Map.Entry<K,V>`

Field Summary
`static short` | `ClassId`

Fields inherited from class com.knowgate.dataobjs.DBPersist
`AllVals, sAuditCls, sAuditUsr, sTransactId`

Constructor Summary
`CategoryLabel()` Create empty label
`CategoryLabel(java.lang.String sCatId, java.lang.String sLanguage)` Load label from database

Method Summary
`static void` | `create(JDCConnection oConn, java.lang.Object[] Values)` Single Step label Create and Store

Methods inherited from class com.knowgate.dataobjs.DBPersist
`allcaps, allcaps, changelog, clear, clone, containsKey, containsValue, delete, entrySet, exists, get, get, getAuditClassName, getCreationDate, getDate, getDateFormated, getDateShort, getDateTime, getDateTime24, getDecimal, getDecimalFormated, getDecimalFormated, getDouble, getDoubleFormated, getFloat, getFloatFormated, getInt, getInteger, getIntervalPart, getItemMap, getItems, getMoney, getShort, getSQLDate, getSQLTime, getString, getStringHtml, getStringNull, getTable, getTable, getTableName, getTime, getTimeOfDay, getTimestamp, getUIdFromName, isEmpty, isNull, iterator, keySet, load, load, parseXML, put, put, put, put, put, put, put, put, put, put, put, put, put, put, put, put, put, putAll, putAll, remove, remove, replace, replace, replace, replace, replace, replace, replace, replace, setAuditTransact, setAuditUser, setCreationDate, size, store, toLowerCase, toUpperCase, toXML, toXML, toXML, toXML, values`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface java.util.Map
`equals, hashCode`

Field Detail

### ClassId

    public static final short ClassId

See Also:
  Constant Field Values

Constructor Detail

### CategoryLabel

    public CategoryLabel()

  Create empty label

### CategoryLabel

    public CategoryLabel(java.lang.String sCatId,
                         java.lang.String sLanguage)

  Load label from database

  Parameters:
    `sCatId` - Category GUID
    `sLanguage` - 2 characters language code (see k_lu_languages table)

Method Detail

### create

    public static void create(JDCConnection oConn,
                              java.lang.Object[] Values)
                       throws java.sql.SQLException

  Single Step label Create and Store

  Parameters:
    `oConn` - Database Conenction
    `Values` - An Array with values { (String) gu_category, (String) id_language, (String) tr_category, (String) url_category }
  Throws:
    `java.sql.SQLException`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD